Blog
Linux Release Help Needed
Date: 17/10/2002
All you Linux Gurus out there, I have a few quick questions about doing binary only releases for the Linux platform. If you can help then read on...
I'd like to know what I can do to make the upcomming release of Scribe as compatible as possible.

Some issues I'm concerned about are:

  • Which GCC version I should build with?
    For instance, my distribution: Gentoo has gone to building with GCC 3.1, but I'm still running an old version of Gentoo with GCC 2.9 something. Should I upgrade my Gentoo now, or should I stay with the old ABI? My preference would be to upgrade and go with GCC 3.1, even if that means only a smaller percentage of Linux users could use Scribe, because in the long run everybody will come across to the new GCC... sooner or later.
  • My dependencies are XLib, pthreads and glib (I think?). What versions should I build against? Or do I have to build against a whole bunch of different versions and make a set of downloads for different systems?
  • Am I kidding myself at trying to do a binary only release? Are there more things I havn't thought about?
  • I use the /proc file system to get the path of the currently running executable. While I don't normally like doing this sort of thing (it seems to be frowned upon by the Linux developers). Is this likely to break on different distributions? I'd like to support the main ones out of the box, RedHat, Mandrake, Debian, Suse etc. (No offense intended if I didn't mention your distro...).
I'm sure there will be a steady trickle of problems that need addressing as soon as people get something to play with, and I'm no Linux guru... not by a long shot. I'm really a user when it comes to Linux... I can build a app from source, but I really rather not have to. I like setup.exe, I like being able to uninstall something. I'd like to take that same ease of use to Linux that I have with my Windows releases. It lowers the barrier of entry to the Linux world when a ex-Windows user can download an app, double click it and it installs, or unzip it to a new directory and run the executable and it "Just Works (tm)".

So any/all help is appreciated. Thank you in advance.

 
Reply
From:
Email (optional): (Will be HTML encoded to evade harvesting)
Message:
 
Remember username and/or email in a cookie.
Notify me of new posts in this thread via email.
BBcode:
[q]text[/q]
[url=link]description[/url]
[img]url_to_image[/img]
[pre]some_code[/pre]
[b]bold_text[/b]